/**
 * @file   zaurss.h
 * @author NOKUBI Takatsugu
 * @date   Wed Dec 17 13:37:25 2003
 * 
 * @brief  header file for ZauRSS main window
 * 
 * $Id: zaurss.h 68 2003-12-25 07:41:33Z knok $
 */

#ifndef ZAURSS_H
#define ZAURSS_H

#include <qmainwindow.h>
#include <qcstring.h>

class ZRConf;

class QFrame;
class QHBoxLayout;
class QVBoxLayout;
class QTable;
class QTextBrowser;
class QNetworkOperation;
class QUrlOperator;
class ZRss;

class ZauRSS : public QMainWindow
{
  Q_OBJECT ;
 public:
  ZauRSS(QWidget *parent = 0, const char *name = 0, int wFlags = 0);
  ~ZauRSS();

  void updateRssview();

  bool readRss(QString &url);
  bool updateTable();
  void cleanTable();
  void mergeItems(int);

 public slots:
   void exitapp();
 void updaterss();
 void getrss();
 void doubleClicked(int, int, int, const QPoint&);
 void selectFeed(int, int, int, const QPoint&);
 void addrss();
 void editrsstitle();
 void editrssurl();
 void delrss();

 private:
  QFrame *topF;
  QHBoxLayout *topL;
  QFrame *rightF;
  QVBoxLayout *rightL;
  QTable *feeds;
  QTable *items;
  QTextBrowser *text;

  // for http fetching
  int httpmode;
  char *httpcont;

  // for RSS
  ZRss *rss;
  ZRConf *rconf;
  bool seeNewRss;
  int currentRssPos;
};

#endif
